mat-card {
  border-radius: 0px;
  box-shadow: none !important;
}

.clickable {
  cursor: pointer;
}

.not-work {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;

  img {
    width: 100%;
    height: 100%;
  }
}

.header {
  display: flex;
  align-items: stretch;

  .song-detail {
    display: flex;
    flex-direction: column;

    .image {
      width: 100%;

      img {
        width: 96px;
        height: 96px;
      }
    }

    .other {
      width: 300px;
    }
  }

  .actions-primary {
    text-align: center;
    line-height: 75px;
    flex-grow: 6;

    display: flex;
    flex-direction: column;

    .actions {
      line-height: 0px;
      flex-grow: 1;
      display: flex;
      flex-direction: row;
      justify-content: center;

      div {
        color: white;
        width: 100px;
      }
    }

    .duration {
      text-align: center;
      line-height: 50px;
      flex-grow: 1;

      mat-slider {
        width: 80%;
      }
    }
  }
  .actions-secondary {
    color: white;
    text-align: center;
    flex-grow: 1;

    display: flex;
    flex-direction: column;
    padding: 10px;

    .actions {
      text-align: center;
      line-height: 0px;
      flex-grow: 1;
      display: flex;
      flex-direction: column;

      mat-icon {
        padding-top: 12px;
      }

      .skip-previous {
        float: right;
      }

      .skip-next {
        float: left;
      }

      div {
        mat-slider, mat-icon, span {
          float: right;
        }

        .shuffle {
          font-size: 32px;
          padding: 8px;
        }
      }
    }
  }
}

.play-icon, .pause-icon {
  margin-left: -18px;
  font-size: 48px;
}

.skip-previous, .skip-next {
  margin-top: 8px;
  font-size: 32px;
}

/**
Mobile
 */
.song-detail-mobile {
  display: flex;
  flex-direction: column;

  .image {
    width: 100%;
    max-width: 200px;
  }
}

.actions-primary-mobile {

  text-align: center;
  display: flex;

  .actions {
    display: flex;
    width: 100%;
    justify-content: center;

    .play-icons {
      width: 100%;
    }
  }
}

.actions-secondary-mobile {

  text-align: center;
  display: flex;

  .duration {

    display: flex;
    width: 100%;
    justify-content: center;

    mat-slider {
      width: 100%;
    }

    span {
      padding-top: 14px;
    }
  }
}

.actions-third-mobile {

  text-align: center;
  display: flex;

  .actions {
    display: flex;
    width: 100%;
    justify-content: flex-end;

    span {
      padding-top: 14px;
    }

    mat-slider {
      width: 80%;
      max-width: 200px;
    }
  }
}

.body {
  width: 100%;
  table {
    width: 100%;
  }
}
